GNU bug report logs - #47152
elpa.gnu.org incompatible with librejs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: email@HIDDEN; Keywords: fixed; Done: Stefan Kangas <stefan@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 47152 <at> debbugs.gnu.org and email@HIDDEN Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47152 <at> debbugs.gnu.org:


Received: (at 47152) by debbugs.gnu.org; 21 Apr 2021 03:04:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 20 23:04:17 2021
Received: from localhost ([127.0.0.1]:56562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZ3A1-0003HQ-4J
	for submit <at> debbugs.gnu.org; Tue, 20 Apr 2021 23:04:17 -0400
Received: from mail-pl1-f169.google.com ([209.85.214.169]:34656)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lZ39x-0003H5-Jx
 for 47152 <at> debbugs.gnu.org; Tue, 20 Apr 2021 23:04:14 -0400
Received: by mail-pl1-f169.google.com with SMTP id t22so20490062ply.1
 for <47152 <at> debbugs.gnu.org>; Tue, 20 Apr 2021 20:04:13 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=1hLLxHFEnZ92QgY83vXVUoa3rbrw5fzCK2Wh7jZTzBw=;
 b=exlypzn2WoyNLM1dGOYkvg1i5VsOuX3pLmNExZRhROrAUl4gZcaKqedr7WL2Ewrfzt
 i+DteBjPg/sbFLzNcQD1FsbJBTS7xWrFjTR0r/MCuCuZFkL1NeFlubqE6nLeXuDxyh0U
 KEscVocqne4QqjM05IoxkLnSeuBiqQUCsFlzoiDwL399QX5MKRaNMwj6u93ZhOr52hYh
 xVMG3znHcNqp2DAEE9n05ZO44p13GGhxydY1gtXNRzWWhFwf6QNp6U8+aUClnpX4aAbF
 MMYtCfvd2CmrMNdegRysynQQHBDabdHNC5Bjyey6E6rl62flkxsZvgicEOS61xqidKMO
 mkTQ==
X-Gm-Message-State: AOAM533HLKQ42HWj9bZyNoyYAKvTWqjfvRbyl4bgxrZR7tnzI+o8LN5B
 9zeDSCbPMzjUJD6EsrRw8yyTbiFTWmeb1sjqv+o=
X-Google-Smtp-Source: ABdhPJzF2MG7TtkjLcB708aB1qdqgU9WZKB90AEaHvfW7iLY7NYXHGu9s8PkoriP+/2eI77SmHAFYnKiph66fnmQA+8=
X-Received: by 2002:a17:902:e788:b029:eb:2c5b:bce8 with SMTP id
 cp8-20020a170902e788b02900eb2c5bbce8mr32444110plb.41.1618974248104; Tue, 20
 Apr 2021 20:04:08 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 20 Apr 2021 22:04:07 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <ee471718c43e159e996dd125a8c136be@HIDDEN>
 (email@HIDDEN's message of "Mon, 15 Mar 2021 00:10:30 +0000")
References: <ee471718c43e159e996dd125a8c136be@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 20 Apr 2021 22:04:07 -0500
Message-ID: <CADwFkmkEG5hXDB+F5cgs_gqy7fHqn+S_kFtMEefUN+QL2A2GUg@HIDDEN>
Subject: Re: bug#47152: elpa.gnu.org incompatible with librejs
To: email@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 47152
Cc: 47152 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

tags 47152 + fixed
close 47152
thanks

email@HIDDEN writes:

> The packages page <https://elpa.gnu.org/packages/>
> is blocked by LibreJS because the included javascript
> is not clearly licensed. It all appears to be free
> jQuery and components related to filtering; it just
> needs clear marking.

Thanks.  I have pushed (hopefully working) support for LibreJS to
elpa.git and nongnu.git.

Does anyone know if manual intervention is required to update the pages
for the package list and all individual packages?  Stefan M?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47152; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Mar 2021 00:58:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 14 20:58:44 2021
Received: from localhost ([127.0.0.1]:34542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lLbZE-0000Ql-BN
	for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 20:58:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:46596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <email@HIDDEN>) id 1lLaoi-0007Te-JR
 for submit <at> debbugs.gnu.org; Sun, 14 Mar 2021 20:10:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50116)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <email@HIDDEN>) id 1lLaoi-0000rC-DX
 for bug-gnu-emacs@HIDDEN; Sun, 14 Mar 2021 20:10:40 -0400
Received: from out0.migadu.com ([94.23.1.103]:44580)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <email@HIDDEN>) id 1lLaoe-0004rC-7c
 for bug-gnu-emacs@HIDDEN; Sun, 14 Mar 2021 20:10:40 -0400
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=johnmuhl.me; s=key1;
 t=1615767030;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=FxjjvjqUzHtjQxwNVt+3DqHz9LtCTowhdS6Kf4tBeLk=;
 b=MzuDtBoMGvT/gUMrFkwMbw1LBgT9+HEZrf5juhQpClWK9bB4I6Hk2r0i46q1bUBjaPmZFB
 USKZ6rcv77loQcFlhWColp/JoUBjxFLXq0eF2cuSk3p8e7nM6rYb3H68VRLUlIsEYRuKg4
 pFLgxZeTtr2q6asmgXwlSy1R2qrm9FwfD+2GnJS3E1K5dmrvSeFQUDRodSw2DXEhZJMzYq
 Xhv3bpmLyKg0FdpchqofhhDKMwNKc574Swqi9/hnpl27weBRSFHMzRquj/uNYcITs7Xu3L
 OFQmdX2DlgOdzpGM6oLcY5jUnR8ThqdFVfKeYEpvpJXKqWo106EAAjmYetE8XA==
Date: Mon, 15 Mar 2021 00:10:30 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
From: email@HIDDEN
Message-ID: <ee471718c43e159e996dd125a8c136be@HIDDEN>
Subject: elpa.gnu.org incompatible with librejs
To: bug-gnu-emacs@HIDDEN
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: email@HIDDEN
Received-SPF: pass client-ip=94.23.1.103; envelope-from=email@HIDDEN;
 helo=out0.migadu.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 14 Mar 2021 20:58:44 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

The packages page <https://elpa.gnu.org/packages/>=0Ais blocked by LibreJ=
S because the included javascript=0Ais not clearly licensed. It all appea=
rs to be free=0AjQuery and components related to filtering; it just=0Anee=
ds clear marking.=0A=0AThe page is simple enough that the browsers `C-f` =
is=0Asufficient filtering to simply remove the javascript. =0AIf you want=
 to keep it around <https://melpa.org/jslicense.html>=0Aprovides a good e=
xample of how to clearly state the=0Alicenses for compatibility with Libr=
eJS.




Acknowledgement sent to email@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47152; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 21 Apr 2021 03:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.